# uproot.update

Defined in uproot.writing.writable on line 138.

uproot.writing.writable.update(file_path: str | Path | IO, **options)
  Parameters:

    - file_path (str, `pathlib.Path` or file-like object) – The filesystem path of the file to open or an open file.

    - options – See below.

  Opens a local file for writing. Like ROOT’s `"UPDATE"` option, this function expects a file to already exist at `file_path` and opens it so that new data can be added to it or individual objects may be deleted from it.

  Returns a uproot.WritableDirectory.

  Options (type; default):

  - initial_directory_bytes (int; 256)

  - uuid_function (callable; `uuid.uuid1`)

  See uproot.WritableFile for details on these options.

  Additional options are passed to as `storage_options` to the fsspec filesystem